xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (c) 2007 David Roundy <droundy@darcs.net>
License | BSD3-style (see LICENSE)
Maintainer | Devin Mullins <me@twifkak.com>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.WindowNavigation

Contents

- Usage

Description

WindowNavigation is an extension to allow easy navigation of a workspace.

Synopsis

- windowNavigation :: LayoutClass l a => l a -> ModifiedLayout WindowNavigation l a
- configurableNavigation :: LayoutClass l a => WNConfig -> l a -> ModifiedLayout WindowNavigation l a
- data Navigate
  - = Go Direction2D
  - | Swap Direction2D
  - | Move Direction2D
  - | Apply (Window -> X ()) Direction2D
- data Direction2D
  - = U
  - | D
  - | R
  - | L
- data MoveWindowToWindow a = MoveWindowToWindow a a
- navigateColor :: String -> WNConfig
- navigateBrightness :: Double -> WNConfig
- noNavigateBorders :: WNConfig
- defaultWNConfig :: WNConfig
- def :: Default a => a
- data WNConfig
- data WindowNavigation a

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.WindowNavigation

Then edit your `layoutHook` by adding the WindowNavigation layout modifier to some layout:

    myLayout = windowNavigation (Tall 1 (3/100) (1/2))  ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

In keybindings:

       , ((modm,                 xK_Right), sendMessage $ Go R)
       , ((modm,                 xK_Left ), sendMessage $ Go L)
       , ((modm,                 xK_Up   ), sendMessage $ Go U)
       , ((modm,                 xK_Down ), sendMessage $ Go D)
       , ((modm .|. controlMask, xK_Right), sendMessage $ Swap R)
       , ((modm .|. controlMask, xK_Left ), sendMessage $ Swap L)
       , ((modm .|. controlMask, xK_Up   ), sendMessage $ Swap U)
       , ((modm .|. controlMask, xK_Down ), sendMessage $ Swap D)

For detailed instruction on editing the key binding see:

XMonad.Doc.Extending.

windowNavigation :: LayoutClass l a => l a -> ModifiedLayout WindowNavigation l a #

configurableNavigation :: LayoutClass l a => WNConfig -> l a -> ModifiedLayout WindowNavigation l a #

data Navigate #

Constructors

Go Direction2D |
Swap Direction2D |
Move Direction2D |
Apply (Window -> X ()) Direction2D | Apply action with destination window

Instances

Message Navigate # |

data Direction2D #

Two-dimensional directions:

Constructors

U | Up
D | Down
R | Right
L | Left

Instances

Bounded Direction2D # |
Methods minBound :: Direction2D # maxBound :: Direction2D #
Enum Direction2D # |
Methods succ :: Direction2D -> Direction2D # pred :: Direction2D -> Direction2D # toEnum :: Int -> Direction2D # fromEnum :: Direction2D -> Int # enumFrom :: Direction2D -> [Direction2D] # enumFromThen :: Direction2D -> Direction2D -> [Direction2D] # enumFromTo :: Direction2D -> Direction2D -> [Direction2D] # enumFromThenTo :: Direction2D -> Direction2D -> Direction2D -> [Direction2D] #
Eq Direction2D # |
Methods (==) :: Direction2D -> Direction2D -> Bool # (/=) :: Direction2D -> Direction2D -> Bool #
Ord Direction2D # |
Methods compare :: Direction2D -> Direction2D -> Ordering # (<) :: Direction2D -> Direction2D -> Bool # (<=) :: Direction2D -> Direction2D -> Bool # (>) :: Direction2D -> Direction2D -> Bool # (>=) :: Direction2D -> Direction2D -> Bool # max :: Direction2D -> Direction2D -> Direction2D # min :: Direction2D -> Direction2D -> Direction2D #
Read Direction2D # |
Methods readsPrec :: Int -> ReadS Direction2D # readList :: ReadS [Direction2D] # readPrec :: ReadPrec Direction2D # readListPrec :: ReadPrec [Direction2D] #
Show Direction2D # |
Methods showsPrec :: Int -> Direction2D -> ShowS # show :: Direction2D -> String # showList :: [Direction2D] -> ShowS #

data MoveWindowToWindow a #

Constructors

MoveWindowToWindow a a |

Instances

Read a => Read (MoveWindowToWindow a) # |
Methods readsPrec :: Int -> ReadS (MoveWindowToWindow a) # readList :: ReadS [MoveWindowToWindow a] # readPrec :: ReadPrec (MoveWindowToWindow a) # readListPrec :: ReadPrec [MoveWindowToWindow a] #
Show a => Show (MoveWindowToWindow a) # |
Methods showsPrec :: Int -> MoveWindowToWindow a -> ShowS # show :: MoveWindowToWindow a -> String # showList :: [MoveWindowToWindow a] -> ShowS #
Typeable * a => Message (MoveWindowToWindow a) # |

navigateColor :: String -> WNConfig #

navigateBrightness :: Double -> WNConfig #

noNavigateBorders :: WNConfig #

defaultWNConfig :: WNConfig #

Deprecated: Use def (from Data.Default, and re-exported by XMonad.Layout.WindowNavigation) instead.

def :: Default a => a #

The default value for this type.

data WNConfig #

Instances

Read WNConfig # |
Methods readsPrec :: Int -> ReadS WNConfig # readList :: ReadS [WNConfig] # readPrec :: ReadPrec WNConfig # readListPrec :: ReadPrec [WNConfig] #
Show WNConfig # |
Methods showsPrec :: Int -> WNConfig -> ShowS # show :: WNConfig -> String # showList :: [WNConfig] -> ShowS #
Default WNConfig # |
Methods def :: WNConfig #

data WindowNavigation a #